curl --request PUT \
--url https://back.teamcamp.app/api/v1/task/updateTask/{taskId} \
--header 'Content-Type: application/json' \
--header 'apiKey: <api-key>' \
--data '
{
"projectId": "<string>",
"name": "<string>",
"description": "<string>",
"dueDate": "2023-12-25",
"groupId": "<string>",
"taskUsers": [
"<string>"
],
"files": [
{
"fileType": "<string>",
"href": "<string>",
"name": "<string>",
"size": "<string>"
}
],
"estimateTime": 123,
"milestoneId": 123,
"statusId": "<string>"
}
'import requests
url = "https://back.teamcamp.app/api/v1/task/updateTask/{taskId}"
payload = {
"projectId": "<string>",
"name": "<string>",
"description": "<string>",
"dueDate": "2023-12-25",
"groupId": "<string>",
"taskUsers": ["<string>"],
"files": [
{
"fileType": "<string>",
"href": "<string>",
"name": "<string>",
"size": "<string>"
}
],
"estimateTime": 123,
"milestoneId": 123,
"statusId": "<string>"
}
headers = {
"apiKey": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {apiKey: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectId: '<string>',
name: '<string>',
description: '<string>',
dueDate: '2023-12-25',
groupId: '<string>',
taskUsers: ['<string>'],
files: [{fileType: '<string>', href: '<string>', name: '<string>', size: '<string>'}],
estimateTime: 123,
milestoneId: 123,
statusId: '<string>'
})
};
fetch('https://back.teamcamp.app/api/v1/task/updateTask/{taskId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"_id": "<string>",
"Name": "<string>",
"ProjectId": "<string>",
"Subscribers": [
"<string>"
],
"GroupId": "<string>",
"Labels": [
"<string>"
],
"TaskUsers": [
{
"_id": "<string>",
"CreatedBy": "<string>",
"CreatedTime": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"UpdatedTime": "2023-11-07T05:31:56Z"
}
],
"Files": [
{
"file_type": "<string>",
"href": "<string>",
"size": "<string>",
"name": "<string>",
"uploadFileType": 123
}
],
"Comments": [
{
"_id": "<string>",
"Type": 123,
"CreatedBy": "<string>",
"CreatedTime": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"UpdatedTime": "2023-11-07T05:31:56Z",
"IsGithub": true,
"Comment": "<string>",
"Assignee": "<string>",
"PreviousPriority": 123,
"Priority": 123,
"DueDate": "2023-11-07T05:31:56Z",
"PreviousDueDate": "2023-11-07T05:31:56Z",
"Group": "<string>",
"PreviousGroup": "<string>",
"Status": true,
"EstimateTime": 123,
"IsArchived": true,
"Reactions": [
{
"ReactionType": "<string>",
"UserId": "<string>",
"_id": "<string>"
}
],
"Audio": {
"Url": "<string>",
"Duration": "<string>"
},
"Files": [
{
"file_type": "<string>",
"href": "<string>",
"size": "<string>",
"name": "<string>",
"uploadFileType": 123
}
],
"Reply": {
"id": "<string>",
"CreatedTime": "2023-11-07T05:31:56Z",
"message": "<string>",
"files": [
{
"file_type": "<string>",
"href": "<string>",
"size": "<string>",
"name": "<string>",
"uploadFileType": 123
}
],
"Sender_id": "<string>"
}
}
],
"CreatedBy": "<string>",
"CreatedTime": "2023-11-07T05:31:56Z",
"UpdatedBy": "<string>",
"UpdatedTime": "2023-11-07T05:31:56Z",
"Desc": "<string>",
"StatusId": "<string>",
"Status": true,
"TaskNumber": 123,
"ParentTaskId": "<string>",
"Priority": 123,
"DueDate": "2023-11-07T05:31:56Z"
}{
"error": "<string>"
}Update Task
Update an existing task.
Authorizations
Path Parameters
The unique identifier of the task to update.
10Body
Fields to update in the task.
The ID of the project to which the task belongs.
The Name of the task.
The Description of the task, if applicable.
Priority of the task. Valid values are: 0 = No Priority 1 = Urgent 2 = High 3 = Medium 4 = Low
0, 1, 2, 3, 4 The due date of the task, We expect yyyy-MM-dd.
The ID of the task group.
An array of user IDs associated with the task [ Task Assignee ].
An array of files associated with the task. Each file includes properties such as file type, href, name, and size.
Show child attributes
Show child attributes
Estimated time required for the task (hh), if applicable.
The ID of the task's milestone, if applicable.
The ID of the task status.
Response
Successful task update.
Id of Task
Name of the Task
ProjectId of the Task
List of Subscribers who Subscribe the task.
The ID of the group.
LabelIds of the Task
Task users [ Task Assignee ] for this task
Show child attributes
Show child attributes
Files which are uploaded into this task
Show child attributes
Show child attributes
Comments of the Task
Show child attributes
Show child attributes
Rich text HTML

